Date: Mon, 9 Jun 1997 09:32:35 +0200 (MET DST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>,
        Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: Re: L68K: 2.1.42 errors
In-Reply-To: <d3vi3pzbjn.fsf@cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

On 8 Jun 1997, Jes Sorensen wrote:
>>>>>> "Alan" == Alan Bair <abair@comland.com> writes:
>
>Alan> The following error still exists in the 2.1.42 sources.  Geert
>Alan> Uytterhoeven wrote:
>>>  On Tue, 29 Apr 1997, Fred Heitkamp wrote: >> I have compiled the
>>> 2.1.35 kernel but I can't boot it. The > >I can't get the compile
>>> to finish. It stops here.  Wasn't there >a patch for this problem
>>> posted?
>>> 
>>> Replace all references to `x' by `xx', `y' by `yy' and `color' by
>>> `colorval' and it should compile.
>
>Not any more, at least in my sources ;)

Are you sure, Jes? This is what I needed to compile cyberfb.c with 2.1.42...

--- arch/m68k/console/fbcon.c.orig	Sat Apr 26 21:06:48 1997
+++ arch/m68k/console/fbcon.c	Sun Jun  8 16:18:53 1997
@@ -456,7 +456,7 @@
                          u_short desty, u_short width, u_short height,
                          u_short mode);
 extern void Cyber_RectFill(u_short xx, u_short yy, u_short width, u_short height,
-                           u_short mode, u_short color);
+                           u_short mode, u_short fillcolor);
 extern void Cyber_MoveCursor(u_short xx, u_short yy);
 #endif /* CONFIG_FBCON_CYBER */
 
@@ -3835,7 +3835,7 @@
 
 	c &= 0xff;
 
-	dest = p->screen_base+y*p->fontheight*p->next_line+8*x;
+	dest = p->screen_base+yy*p->fontheight*p->next_line+8*xx;
 	cdat = p->fontdata+(c*p->fontheight);
 	fg = disp->fgcol;
 	bg = disp->bgcol;
@@ -3874,7 +3874,7 @@
 	u_char c, d;
 	u_char fg, bg;
 
-	dest0 = p->screen_base+y*p->fontheight*p->next_line+8*x;
+	dest0 = p->screen_base+yy*p->fontheight*p->next_line+8*xx;
 	fg = disp->fgcol;
 	bg = disp->bgcol;
 	revs = conp->vc_reverse;
@@ -3918,7 +3918,7 @@
 	fg = disp->fgcol;
 	bg = disp->bgcol;
 
-	dest = p->screen_base+y*p->fontheight*p->next_line+8*x;
+	dest = p->screen_base+yy*p->fontheight*p->next_line+8*xx;
    Cyber_WaitBlit();
 	for (rows = p->fontheight; rows--; dest += p->next_line) {
 		*dest = (*dest == fg) ? bg : fg;

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

